%define	upstream_name	 IO-Stty
%define	upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:	IO-Stty perl module
License: 	GPL
Group: 		Development/Perl
Url:		http://www.cpan.org
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

Buildarch:	noarch
BuildRequires:	perl(Module::Build)

%{?perl_default_filter}


%description
IO-Stty is a module for setting terminal parameters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot}
sed -i 's|/usr/local/perl/bin|%{_bindir}|' %{buildroot}%{_bindir}/stty.pl

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/stty.pl
%{_mandir}/man3/*
%{perl_vendorlib}/IO/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.30.0-15pclos2017
- rebuild against updates

